Notification-Handler
GET https://paths.to/api/notification-handlers/
curl --request GET \
--url 'https://paths.to/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://paths.to/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| search | Optional String | Der Suchbegriff. |
| search_by | Optional String | Feld, nach dem gesucht wird. Erlaubte Werte: name. |
| is_enabled | Optional Boolean | |
| type | Optional String | Feld, nach dem gesucht wird. Erlaubte Werte: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification. |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | Feld, nach dem sortiert wird. Erlaubte Werte: notification_handler_id, datetime, last_datetime, name. |
| order_type | Optional String | Sortierreihenfolge. Erlaubte Werte: ASC aufsteigend, DESC absteigend. |
| search | Optional String | Der Suchbegriff. |
| search_by | Optional String | Feld, nach dem gesucht wird. Erlaubte Werte: name. |
| is_enabled | Optional Boolean | |
| type | Optional String | Feld, nach dem gesucht wird. Erlaubte Werte: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification. |
| datetime_field | Optional String | Erlaubte Werte: datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | Feld, nach dem sortiert wird. Erlaubte Werte: notification_handler_id, datetime, last_datetime, name. |
| order_type | Optional String | Sortierreihenfolge. Erlaubte Werte: ASC aufsteigend, DESC absteigend. |
| page | Optional Integer | Die gewünschte Seite der Ergebnisse. Standard ist 1. |
| results_per_page | Optional Integer | Wie viele Ergebnisse du pro Seite möchtest. Erlaubte Werte: 10, 25, 50, 100, 250, 500, 1000. Standard ist 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-28 19:18:48",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://paths.to/api/notification-handlers?page=1",
"last": "https://paths.to/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://paths.to/api/notification-handlers?page=1"
}
}
GET https://paths.to/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://paths.to/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://paths.to/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-28 19:18:48",
}
}
POST https://paths.to/api/notification-handlers
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Erforderlich String | - |
| type | Erforderlich String | Erlaubte Werte: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification |
| Optional String | Verfügbar, wenn: type = email E-Mail | |
| webhook | Optional String | Verfügbar, wenn: type = webhook Webhook-URL |
| slack | Optional String | Verfügbar, wenn: type = slack Slack-Webhook-URL |
| discord | Optional String | Verfügbar, wenn: type = discord Discord-Webhook-URL |
| telegram | Optional String | Verfügbar, wenn: type = telegram Telegram-API-Token |
| telegram_chat_id | Optional String | Verfügbar, wenn: type = telegram Telegram-Chat-ID |
| microsoft_teams | Optional String | Verfügbar, wenn: type = microsoft_teams Microsoft-Teams-Webhook-URL |
| google_chat | Optional String | Verfügbar, wenn: type = google_chat Google-Chat-Webhook-URL |
| x_consumer_key | Optional String | Verfügbar, wenn: type = x Telegram-API-Token |
| x_consumer_secret | Optional String | Verfügbar, wenn: type = x Telegram-API-Token |
| x_access_token | Optional String | Verfügbar, wenn: type = x Telegram-API-Token |
| x_access_token_secret | Optional String | Verfügbar, wenn: type = x Telegram-API-Token |
curl --request POST \
--url 'https://paths.to/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://paths.to/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://paths.to/api/notification-handlers/{notification_handler_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| name | Optional String | - |
| type | Optional String | Erlaubte Werte: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification |
| Optional String | Verfügbar, wenn: type = email E-Mail | |
| webhook | Optional String | Verfügbar, wenn: type = webhook Webhook-URL |
| slack | Optional String | Verfügbar, wenn: type = slack Slack-Webhook-URL |
| discord | Optional String | Verfügbar, wenn: type = discord Discord-Webhook-URL |
| telegram | Optional String | Verfügbar, wenn: type = telegram Telegram-API-Token |
| telegram_chat_id | Optional String | Verfügbar, wenn: type = telegram Telegram-Chat-ID |
| microsoft_teams | Optional String | Verfügbar, wenn: type = microsoft_teams Microsoft-Teams-Webhook-URL |
| google_chat | Optional String | Verfügbar, wenn: type = google_chat Google-Chat-Webhook-URL |
| x_consumer_key | Optional String | Verfügbar, wenn: type = x Telegram-API-Token |
| x_consumer_secret | Optional String | Verfügbar, wenn: type = x Telegram-API-Token |
| x_access_token | Optional String | Verfügbar, wenn: type = x Telegram-API-Token |
| x_access_token_secret | Optional String | Verfügbar, wenn: type = x Telegram-API-Token |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://paths.to/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://paths.to/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://paths.to/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://paths.to/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://paths.to/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \